#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const program_1 = require("./lib/program");
program_1.program
    .command("stock", "check the availability of one or multiple product(s)", {
    executableFile: "index-stock",
    isDefault: true,
})
    .command("stores", "list stores in one or more countries", {
    executableFile: "index-stores",
})
    .parse();
