"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.productIds = exports.countryCode = void 0;
const commander_1 = require("commander");
const helper_1 = require("./helper");
exports.countryCode = new commander_1.Argument("[countryCodes...]", "list of country codes of which the stores should be shown").argParser((value, previous = []) => {
    return [...previous, (0, helper_1.normalizeCountryCode)(value)].filter(helper_1.unique);
});
exports.productIds = new commander_1.Argument("[productIds...]").argParser((value, previous = []) => {
    return [...previous, (0, helper_1.normalizeProductId)(value)].filter(helper_1.unique);
});
