"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createStoresReportTable = void 0;
const cli_table3_1 = __importDefault(require("cli-table3"));
function createStoresReportTable(stores) {
    const table = new cli_table3_1.default({
        head: ["countryCode", "country", "buCode", "name"],
    });
    table.push(...stores.map((store) => [
        store.countryCode,
        store.country,
        store.buCode,
        store.name,
    ]));
    return table;
}
exports.createStoresReportTable = createStoresReportTable;
