import { AxiosError, AxiosResponse } from "axios";
export declare class IngkaError extends Error {
}
export declare class IngkaHttpError extends Error {
    err: AxiosError;
    constructor(message: string, err: AxiosError);
}
export declare class IngkaParseError extends IngkaError {
    data: unknown;
    constructor(message: string, data?: unknown);
}
export declare class IngkaResponseError extends Error {
    response: AxiosResponse;
    constructor(message: string, response: AxiosResponse);
}
